package subject

import "fmt"

func getSupplierValue(val string) string {
	return fmt.Sprintf("%s.%s", prefixes.Supplier, val)
}

var Supplier = struct {
	GetListSupplierInfo             string
	GetSupplierContractBySupplierID string
	FindAll                         string
	CreateCashflow                  string
	DeleteCashflow                  string
	UpdateBalance                   string
	GetCurrentBalance               string
}{
	GetListSupplierInfo:             getSupplierValue("get_list_supplier_info"),
	GetSupplierContractBySupplierID: getSupplierValue("get_supplier_contract_by_supplier_id"),
	FindAll:                         getSupplierValue("find_all"),
	CreateCashflow:                  getSupplierValue("create_cashflow"),
	DeleteCashflow:                  getSupplierValue("delete_cashflow"),
	UpdateBalance:                   getSupplierValue("update_balance"),
	GetCurrentBalance:               getSupplierValue("get_current_balance"),
}
